<?php

/**
 * Fonction crée car depuis la version 10.32ag, ce numéro peut etre utiliser d'un part pour le footer des écrans mais
 * aussi pour la gestion de cohabitaion de version donc l'utilisation de class_param
 * 
 * @return string
 */
function getNomProduit()
{
    return 'OXA.PROC';
}

/**
 * Ne pas changer l'organisation des deux lignes suivantes de la fonction "getVersionProduit" car elles sont lues par la GO pour préparer le fichier de version_contrôl.
 */
function getVersionProduit()
{
    return '11.00ac4';
}

function joursVersion()
{
    return '09/06';
}

function setVersionArray(& $array)
{
    if (is_array($array)) {
        if (! array_key_exists('oxalys', $array))
            $array['oxalys'] = array();
        $numeroVersion = getVersionProduit();
        $versionHAPLUS = getNomProduit() . ' ' . $numeroVersion;
        $anneeVersion = '2026';
        $dateVersion = joursVersion() . '/' . $anneeVersion;
        
        $skinCode = $_SESSION['SESSION_SKIN_CODE']??'';
        
        /*if($skinCode=='P1')
            $color = "css/oxalys/template_rouge.css";
        elseif($skinCode=='P2')
            $color = "css/oxalys/template_vert.css";
        elseif($skinCode=='P3')
            $color = "css/oxalys/template_rose.css";
        elseif($skinCode=='P4')
            $color = "css/oxalys/template_bleu.css";
        elseif($skinCode=='P5')
            $color = "css/oxalys/template_orange.css";
        elseif($skinCode=='P6')
            $color = "css/oxalys/template_bleu_nge.css";
        else
            $color = "css/oxalys/template_rouge.css";*/
                        
        
        $array['oxalys']['nom_produit'] = Trad(getNomProduit());
        $array['oxalys']['type_version'] = 'V10';
        $array['oxalys']['version'] = $versionHAPLUS . ' du ' . $dateVersion;
        $array['oxalys']['dateVersion'] = $dateVersion;
        $array['oxalys']['versionSansDate'] = & $versionHAPLUS;
        $array['oxalys']['copyright'] = 'Oxalys' . ' ' . $anneeVersion;
        $array['oxalys']['numeroVersion'] = & $numeroVersion;
        $array['oxalys']['colorTemplate'] = $color;
        $array['oxalys']['script'] = array();
        $array['oxalys']['script']['txtHttpError'] = 'libClientErreurHttp = \'' . cnv_to_javascript(Trad('Votre demande n\'a pas pu aboutir suite à une erreur serveur.')) . '\';';

        $_SESSION['infoVersion']= $array['oxalys'];
        getCacheNumVersion($array);
    }
}


function setVersionArrayV2($pdo)
{
    $array['oxalys'] = array();
    $numeroVersion = getVersionProduit();
    $versionHAPLUS = getNomProduit() . ' ' . $numeroVersion;
    $anneeVersion = '2025';
    $dateVersion = joursVersion() . '/' . $anneeVersion;
    
    $skinCode = $_SESSION['SESSION_SKIN_CODE']??'';
    
    if($skinCode=='P1')
        $color = "css/oxalys/template_rouge.css";
    elseif($skinCode=='P2')
        $color = "css/oxalys/template_vert.css";
    elseif($skinCode=='P3')
        $color = "css/oxalys/template_rose.css";
    elseif($skinCode=='P4')
        $color = "css/oxalys/template_bleu.css";
    elseif($skinCode=='P5')
        $color = "css/oxalys/template_orange.css";
    elseif($skinCode=='P6')
        $color = "css/oxalys/template_bleu_nge.css";
    else
        $color = "css/oxalys/template_rouge.css";
    
    // TODO : delete unused key
    //$array['oxalys']['nom_produit'] = \Helpers\Trad\Trad::trad(getNomProduit(),$pdo);
    $array['oxalys']['type_version'] = 'V10';
    $array['oxalys']['version'] = $versionHAPLUS . ' du ' . $dateVersion;
    $array['oxalys']['dateVersion'] = $dateVersion;
    $array['oxalys']['versionSansDate'] = & $versionHAPLUS;
    $array['oxalys']['copyright'] = 'Oxalys ' . $anneeVersion;
    $array['oxalys']['numeroVersion'] = & $numeroVersion;
    $array['oxalys']['colorTemplate'] = $color;
    $array['oxalys']['script'] = array();
    //$array['oxalys']['script']['txtHttpError'] = 'libClientErreurHttp = \'' . \TwigExtension\HeaderProfilExtension::cnv_to_javascript(\Helpers\Trad\Trad::trad('Votre demande n\'a pas pu aboutir suite à une erreur serveur.', $pdo)) . '\';';
    
    $_SESSION['infoVersion']= $array['oxalys'];
    getCacheNumVersion($array);
    return $array;
    
}

function getCacheNumVersion($array)
{
    $_SESSION['cache'] = 
    str_replace('.','',
        str_replace('/','',
            str_replace(' ','',$array['oxalys']['version'])
        )
    );
}